MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("AVAudioPlayer", true) An audio player that can play audio from memory or the local file system. avTouch
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  System.Obsolete("This method had an invalid signature in MonoMac 1.0.3, use AVAudioPlayer.FromData instead")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  System.Obsolete("This method had an invalid signature in MonoMac 1.0.3, use AVAudioPlayer.FromUrl instead")
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("averagePowerForChannel:")
  System.Single `` To be added. To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("channelAssignments")
  set: MonoMac.Foundation.Export("setChannelAssignments:")
  MonoMac.AVFoundation.AVAudioSessionChannelDescription[] To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("currentTime")
  set: MonoMac.Foundation.Export("setCurrentTime:")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("data")
  MonoMac.Foundation.NSData To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVErrorEventArgs> To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AVFoundation.AVAudioPlayerDelegate An instance of the MonoMac.AVFoundation.AVAudioPlayerDelegate model class which acts as the class delegate. The instance of the MonoMac.AVFoundation.AVAudioPlayerDelegate model class

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  get: MonoMac.Foundation.Export("deviceCurrentTime")
  System.Double To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the AVAudioPlayer object.

  This Dispose method releases the resources used by the AVAudioPlayer class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the AVAudioPlayer ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("duration")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("enableRate")
  set: MonoMac.Foundation.Export("setEnableRate:")
  System.Boolean To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVStatusEventArgs> To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AVFoundation.AVAudioPlayer `` Audio data, in a format supported by the native operating system. Creates an audio player that plays music from an NSData source. null on error, or an instance of the AVAudioPlayer on success. To be added.
- Method
  0.0.0.0
  MonoMac.AVFoundation.AVAudioPlayer `` `` Audio data, in a format supported by the native operating system. Used to return error codes Creates an audio player that plays music from an NSData source. null on error, or an instance of the AVAudioPlayer on success. To be added.
- Method
  0.0.0.0
  MonoMac.AVFoundation.AVAudioPlayer `` Points to the file location to play Creates a new instance of the AVAudioPlayer. Null on error, with or an instance of the player on success. To be added.
- Method
  0.0.0.0
  MonoMac.AVFoundation.AVAudioPlayer `` `` Points to the file location to play Return value for error. Creates a new instance of the AVAudioPlayer. Null on error with the details stored on the error parameter, or an instance of the player on success. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isMeteringEnabled")
  set: MonoMac.Foundation.Export("setMeteringEnabled:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("numberOfChannels")
  System.UInt32 To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("numberOfLoops")
  set: MonoMac.Foundation.Export("setNumberOfLoops:")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  get: MonoMac.Foundation.Export("pan")
  set: MonoMac.Foundation.Export("setPan:")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("pause")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("peakPowerForChannel:")
  System.Single `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("play")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("playAtTime:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("This method was incorrectly named, use PlayAtTime instead")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isPlaying")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("prepareToPlay")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("rate")
  set: MonoMac.Foundation.Export("setRate:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Use SoundSettings")
  MonoMac.AVFoundation.AVAudioPlayerSettings Audio playback settings
- Property
  0.0.0.0
  MonoMac.AVFoundation.AudioSettings To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("stop")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("updateMeters")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("url")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("volume")
  set: MonoMac.Foundation.Export("setVolume:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  set: MonoMac.Foundation.Export("setDelegate:", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type The instance that will respond to events and data requests.

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.

- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  get: MonoMac.Foundation.Export("settings")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.